Jack::JackMidiBuffer Struct Reference

## Public Types

enum | { MAGIC = 0x900df00d }

## Public Member Functions

int | IsValid () const
void | Reset (jack_nframes_t nframes)
jack_shmsize_t | MaxEventSize () const
jack_midi_data_t * | ReserveEvent (jack_nframes_t time, jack_shmsize_t size)

## Public Attributes

uint32_t | magic
jack_shmsize_t | buffer_size
jack_nframes_t | nframes
jack_shmsize_t | write_pos
| data write position from the end of the buffer.
uint32_t | event_count
uint32_t | lost_events
JackMidiEvent | events [1]

## Detailed Description

Definition at line 75 of file JackMidiPort.h.

The documentation for this struct was generated from the following files:

- JackMidiPort.h
- JackMidiPort.cpp